<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    app:cardCornerRadius="15dp">
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/comment_list"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@+id/send_comment_layout">
        </androidx.recyclerview.widget.RecyclerView>
        <RelativeLayout
            android:id="@+id/send_comment_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:background="@color/white"
            android:elevation="6dp">
            <de.hdodenhof.circleimageview.CircleImageView
                android:id="@+id/profile_image"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_centerVertical="true"
                android:layout_marginStart="10dp"
                android:background="?attr/selectableItemBackgroundBorderless"
                android:clickable="true"
                android:focusable="true"
                android:src="@drawable/user1" />
            <ImageView
                android:id="@+id/send_comment"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="10dp"
                android:background="?attr/selectableItemBackgroundBorderless"
                android:clickable="true"
                android:focusable="true"
                android:src="@drawable/send_comment"
                android:tint="#182f59" />
            <EditText
                android:id="@+id/comment_input"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:layout_marginTop="6dp"
                android:layout_marginEnd="5dp"
                android:layout_marginBottom="6dp"
                android:layout_toStartOf="@+id/send_comment"
                android:layout_toEndOf="@+id/profile_image"
                android:background="@drawable/send_comment_input"
                android:hint="Say something..."
                android:inputType="textMultiLine"
                android:maxLines="3"
                android:paddingStart="14dp"
                android:paddingTop="8dp"
                android:paddingEnd="14dp"
                android:paddingBottom="8dp"
                android:singleLine="false"
                android:textColor="@color/post_heading"
                android:textColorHint="@color/post_details"
                android:textSize="15sp"/>
        </RelativeLayout>
        <RelativeLayout
            android:id="@+id/error"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true">
            <ImageView
                android:id="@+id/comment_icon"
                android:layout_width="80dp"
                android:layout_height="80dp"
                android:layout_centerHorizontal="true"
                android:src="@drawable/no_comments"
                android:tint="@color/grey"/>
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/comment_icon"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="15dp"
                android:text="No comments"
                android:textColor="@color/grey"
                android:textSize="15sp"
                android:textStyle="bold"/>
        </RelativeLayout>
    </RelativeLayout>
</androidx.cardview.widget.CardView>